declare type Style = {
    [key: string]: string | number | boolean;
};
interface AvatarConfig {
    face: number;
    eye: number;
    eyebrow: number;
    glass: number;
    hair: number;
    mouth: number;
    nose: number;
    accessory: number;
    beard: number;
    detail: number;
}
declare type ShapeTypes = 'circle' | 'rounded' | 'square';
interface NotionAvatarProps {
    className?: string;
    style?: Style;
    shape?: ShapeTypes;
    bgColor?: string;
    config: AvatarConfig;
}

declare const getRandomConfig: () => AvatarConfig;

declare const NotionAvatar: (props: NotionAvatarProps) => JSX.Element;

export { NotionAvatar as default, getRandomConfig };
